Bug 252184 - compiz annoyingly shows the window selector when I try to close a window
Summary: compiz annoyingly shows the window selector when I try to close a window
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 16:05 UTC by Need Real Name
Modified: 2018-04-11 09:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 15:31:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compiz screenshot (378.30 KB, image/png)
2007-08-14 19:19 UTC, Kristian Høgsberg
no flags Details

Description Need Real Name 2007-08-14 16:05:08 UTC
It is well know that if you want to close a window, you go to its top-right
corner, and click the X button.
If you want to adjust the volume, you go to the top-right corner, and select the
volume you want.

Annoyingly, compiz overrides all of this and gives me a thumbnail of every
window on my desktop instead.

Comment 1 Kristian Høgsberg 2007-08-14 19:19:29 UTC
Created attachment 161300 [details]
compiz screenshot

Is this the effect you're referring to?  You can change what triggers this by
clearing the gconf key
/apps/compiz/plugins/scale/allscreens/options/initiate_edge.

Comment 2 Need Real Name 2007-08-15 08:45:13 UTC
Yes, this is it.

My bug is more that compiz shouldn't overload existing behaviour.
It could achieve the same thing with a keyboard shortcut or an applet for example.

Comment 3 Matěj Cepl 2007-12-05 23:43:36 UTC
So, the problem here is that you want to change default configuration of compiz?
Just to be sure we are on the same page.

Comment 4 Need Real Name 2007-12-06 07:17:52 UTC
Either change the default behaviour of compiz, or make it a policy that nothing
that ever needs to be clicked on is allowed to use the top right corner of the
screen..

Comment 5 Matěj Cepl 2007-12-06 10:50:18 UTC
OK, so then I thnik this bug should be resolved upstream as it clearly does not
belong to distribution bugzilla.

Please file a bug report in the freedesktop bugzilla located at
http://bugs.freedesktop.org in the "xorg" product, "app/compiz" component.

Once you've filed your bug report upstream, if you paste the new bug URL here,
Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

Comment 6 Need Real Name 2007-12-10 18:41:01 UTC
I'm not going to report this upstream.

I took the time to report this bug, not to tediously replicate the information
into another bug tracker. Computers are for that. It should be automated by now
(by ages ago).

Comment 7 Kristian Høgsberg 2007-12-12 15:31:02 UTC
We've changed the default setting and compiz no longer defaults to this
behaviour.  If you still see it after updating to the newest compiz, unset the
key as described in comment #1 or to reset the compiz settings to the default, do

  gconftool-2  --recursive-unset /apps/compiz

Please note that this is a per-user setting, and the above fixes only work
per-user, not system-wide.

If that doesn't help, please reopen the bug and attach 

  /etc/gconf/schemas/compiz-scale.schemas

and the output of

  gconftool-2 -R /apps/compiz

Thanks!


Note You need to log in before you can comment on or make changes to this bug.